<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="flowRight.aspx.cs" Inherits="view.flow.flowRight" %>

<html><head>
  <meta http-equiv="X-UA-Compatible"content="IE=EmulateIE7"/>
  <meta http-equiv="Content-Type" content='text/html; charset=utf-8' />
  <title>workflow setting</title>
  <link href='../skin/view.css' type='text/css' rel='stylesheet'>
  <script language=javascript>document.write("<script type='text/javaScript' src='../common/view"+location.search.substring(1)+".js'><\/script>");</script>
  <script type='text/javascript' src='../common/view.js'></script>
</head>

<body scroll=no>
<fieldset style='height:360px;margin:10px 10px 0px 10px;'><legend><script language=javaScript>document.write(translate['flowRight']);</script></legend>
<input type=checkbox id=5 /> <script language=javaScript>document.write(translate['allowPrintForm']);</script>
<br /><input type=checkbox id=120 /> <script language=javaScript>document.write(translate['allowForward']);</script>
<br />
<br /><input type=checkbox id=fixedResponsor /> <script language=javaScript>document.write(translate['fixedResponsor']);</script>
</fieldset>
<script language=javaScript>//to be enhanced for sms inform, time limitation, budget, etc.
    workflowActionsShow('okCancel');
    if (dialogArguments.value.indexOf('fixedResponsor,') >= 0)
        document.getElementById('fixedResponsor').checked = true;
    if (dialogArguments.value.indexOf('5,') > 0)
        document.getElementById('5').checked = true;
    if (dialogArguments.value.indexOf('120,') > 0)
        document.getElementById('120').checked = true;
    function onActionBefore(nActionId, sName, bPostForm) {
        if (nActionId > 0) {
            var s = "";
            if (document.getElementById('5').checked)
                s += "5,";
            if (document.getElementById('120').checked)
                s += "120,";
            dialogArguments.value = (document.getElementById('fixedResponsor').checked?"fixedResponsor,":"")+(s.length>0?"stepX="+s:"");
        }
        self.close();
        return 0; //prevent from submitting
    }
</script>
</body>
</html>